module Location
  class Engine < Rails::Engine
  	initializer "location" do
  		OrbitApp.registration "Location",:type=> 'ModuleApp' do
		module_label 'location.location'
		base_url File.expand_path File.dirname(__FILE__)    
		
		version "0.1"
		organization "Rulingcom"
		author "RD dep"
		intro "I am intro"
		update_info 'some update_info'

		front_end do
		  app_page 'locations' do
		    frontend_i18n 'location.location'
		  end
		end

		categorizable
		authorizable

		widgets do
		    customize_widget "location_widget" do 
		        widget_i18n "location.location"
		    end
		end

		side_bar do
		  head_label_i18n  'location.location',:icon_class=>"icons-location"
		  available_for [:admin,:guest,:manager,:sub_manager]
		  active_for_controllers ({:private=>['locations','location_categories']})

		  head_link_path "panel_location_back_end_locations_path"

		  context_link 'location.all_locations',
		                 :link_path=>"panel_location_back_end_locations_path" ,
		                 :priority=>1,
		                 :active_for_action=>{:locations=>:index},
		                 :available_for => [:manager]

		  context_link 'location.add_location',
		                 :link_path=>"new_panel_location_back_end_location_path" ,
		                 :priority=>1,
		                 :active_for_action=>{:locations=>:new},
		                 :available_for => [:manager]


		  context_link 'location.categories',
		                 :link_path=>"panel_location_back_end_location_categories_path" ,
		                 :priority=>1,
		                 :active_for_category => 'Location',
		                 :available_for => [:manager]

		end
		end
  	end
  end
end
